
/* ------ score file for effect processor 1.2 ------ */

/* extra time in seconds for echo, delay etc. effects (output file */
/* length is extended by reverb time + the value specified here)   */

#define XTime	# +0.00 #

/* note: if a function table is not defined in the score, the default	*/
/* settings are used							*/

/* ---- global parameters ---- */

/* EQ settings: frequency (Hz), level, Q, and mode (0: peak,	*/
/* 1: low shelf, 2: high shelf)					*/

;f 1 0 32 -2	1.0				/* input volume	*/
;		1000	1.0	0.7071	0	/* EQ 1	*/
;		1000	1.0	0.7071	0	/* EQ 2	*/
;		1000	1.0	0.7071	0	/* EQ 3	*/
;		1000	1.0	0.7071	0	/* EQ 4	*/

/* ---- main (delay = 0) channel ---- */

/* wrap mode: 0 = off,  1 = on		*/
/* enable channel: 0 = no, 1 = yes	*/
/* azimuth, elevation, and distance	*/
/*   control values: ftable, duration,	*/
/*   scale, and wrap mode		*/

;f 21 0 32 -2	1	1.0			/* enable channel, volume */
;						/* k-rate position:	*/
;		101	5.0	1.0	1	/*   azimuth control	*/
;		102	5.0	1.0	1	/*   elevation control	*/
;		103	5.0	1.0	1	/*   distance control	*/
;						/* i-rate position:	*/
;		0.0	0.0	1.0		/*   azimuth, elevation	*/
;						/*   and distance	*/

/* these tables control movement of sound source */

;f 101 0 257 -7	0.0 257 0.0		/* azimuth	*/
;f 102 0 257 -7	0.0 257 0.0		/* elevation	*/
;f 103 0 257 -7	1.0 257 1.0		/* distance	*/

/* ----- parameters of stereo input file ---- */

;f 22 0 4 -2	0	1.0			/* enable channel, volume */

/* ---- parameters of delay channels ---- */

/* CHANNEL 1 - 4 (modulated delay time): ftable 2 - 5 */

/* LFO waveforms: 0 = sine, 1 = triangle			   */
/* the modulated delay time may not be less than (44 / sr) seconds */

;f 2 0 32 -2	0	1.0			/* enable channel, volume    */
;		1000.0	1.0	0.7071	0	/* EQ 1			     */
;		1000.0	1.0	0.7071	0	/* EQ 2			     */
;		1000.0	1.0	0.7071	0	/* EQ 3			     */
;		0.0	0.0	1.0		/* azimuth, elev., distance  */
;		0.4				/* delay offset (seconds)    */
;		0.1	0.5			/* delay time, feedback	lvl. */
;		0.005	1.0	0.0	0	/* delay time mod. depth (in */
;						/* seconds), frequency (Hz), */
;						/* phase (0 - 1), and LFO    */
;						/* waveform		     */
;		1000.0	1.0	0.7071	0	/* feedback EQ		     */

/* default: all channels disabled */

;f 2 0 32 -2	0	1.0	/* chn 1 */
;f 3 0 32 -2	0	1.0	/* chn 2 */
;f 4 0 32 -2	0	1.0	/* chn 3 */
;f 5 0 32 -2	0	1.0	/* chn 4 */

/* CHANNEL 5 - 8 (fixed delay time): ftable 6 - 9 */

/* feedback time may not be less than (32 / sr) seconds */

;f 6 0 32 -2	0	1.0			/* enable channel, volume    */
;		1000.0	1.0	0.7071	0	/* EQ 1			     */
;		1000.0	1.0	0.7071	0	/* EQ 2			     */
;		1000.0	1.0	0.7071	0	/* EQ 3			     */
;		0.0	0.0	1.0		/* azimuth, elev., distance  */
;		0.5				/* delay time (seconds)	     */
;		0.5	0.7			/* feedback time, level	     */
;		1000.0	1.0	0.7071	0	/* feedback EQ		     */

/* default: all channels disabled */

;f 6 0 32 -2	0	1.0	/* chn 5 */
;f 7 0 32 -2	0	1.0	/* chn 6 */
;f 8 0 32 -2	0	1.0	/* chn 7 */
;f 9 0 32 -2	0	1.0	/* chn 8 */

/* ---- reverb parameters ---- */

;f 90 0 4 -2	1.0			/* reverb level	*/

/* ---- LFO waveforms ---- */

;f 10 0 4096 10	1.0					/* sine wave	*/
;f 11 0 4096  7	0.0 1024 1.0 2048 -1.0 1024 0.0		/* triangle	*/

/* end of score */

