#!/bin/bash

if ( [ $# != 1 ] ) ; then

	echo "Usage: Make_Reverb.sh <dirname>"
	echo ""
	echo "       Make_Reverb.sh searches for \"reverb.conf*\" files in <dirname>,"
	echo "       and calls ReverbGen.sh with the commandline options specified in"
	echo "       the \"reverb.conf*\" files."
	echo "       File and directory names should not contain spaces and other"
	echo "       special characters (*, \$, ? etc.)"
	exit 0 ;
fi

if ( ! ( test -d "${1}" ) ) ; then

	echo "Make_Reverb.sh: ${1}: directory does not exist, or not a directory"
	exit -1 ;
fi

TMPCURDIR=`pwd`							# save current directory
TMPDIRLST=`find "${1}" -type f -name "reverb.conf*" -print`	# file list

for i in ${TMPDIRLST} ; do

	cd "${TMPCURDIR}"

	TMPDIRNAM=`dirname "${i}"`
	TMPFILNAM=`basename "${i}"`

	cd "${TMPDIRNAM}"

	ReverbGen.sh "${TMPFILNAM}"

	cd "${TMPCURDIR}" ;
done

# end of Make_Reverb.sh


