#!/bin/bash

# installation script

if [ "${INCDIR}" != "" ] ; then		# install directory
	INSTDIR="${INCDIR}" ;
else
	INSTDIR="/Csound/Include" ;
fi
INS2DIR="/usr/local/bin"

# install include files

if ( ! ( test -d "${INSTDIR}" ) ) ; then
	if ( test -e "${INSTDIR}" ) ; then
		echo -e "${INSTDIR}: not a directory" ; exit -1 ;
	fi
	mkdir -p "${INSTDIR}" ; chmod 755 "${INSTDIR}" ;
fi

for i in	"ReverbGen.orc"			\
		"Parameters.Reverb"		; do

		SRC="./${i}" ; DST="${INSTDIR}/${i}"
		rm -f "${DST}"				# remove old file
		cp -af "${SRC}" "${DST}"		# install new version
		chown 0:0 "${DST}" 2> /dev/null		# set permissions
		chmod 444 "${DST}"
		if ( ! ( diff "${SRC}" "${DST}" > /dev/null 2>&1 ) ) ; then
			echo -e "Error copying ${i}" ; exit -1 ;
		fi ;
done

# install scripts

if ( ! ( test -d "${INS2DIR}" ) ) ; then
	if ( test -e "${INS2DIR}" ) ; then
		echo -e "${INS2DIR}: not a directory" ; exit -1 ;
	fi
	mkdir -p "${INS2DIR}" ; chmod 755 "${INS2DIR}" ;
fi

for i in	"ReverbGen.sh"			\
		"Make_Reverb.sh"		; do

		SRC="./${i}" ; DST="${INS2DIR}/${i}"
		rm -f "${DST}"				# remove old file
		cp -af "${SRC}" "${DST}"		# install new version
		chown 0:0 "${DST}" 2> /dev/null		# set permissions
		chmod 555 "${DST}"
		if ( ! ( diff "${SRC}" "${DST}" > /dev/null 2>&1 ) ) ; then
			echo -e "Error copying ${i}" ; exit -1 ;
		fi ;
done

