#!/bin/bash

# installation script

cd "Reverb-1.2.0" ; ./install.sh ; cd ..	# install reverb utility
cd "source" ; ./install.sh ; cd ..		# install TestCvFile2

if [ "${INCDIR}" != "" ] ; then		# install directory
	INSTDIR="${INCDIR}" ;
else
	INSTDIR="/Csound/Include" ;
fi
INS2DIR="${INSTDIR}/EffectProc-1.2"
INS3DIR="/usr/local/bin"

if ( ! ( test -d "${INSTDIR}" ) ) ; then		# include directory
	if ( test -e "${INSTDIR}" ) ; then
		echo -e "${INSTDIR}: not a directory" ; exit -1 ;
	fi
	mkdir -p "${INSTDIR}" ; chmod 755 "${INSTDIR}" ;
fi

if ( ! ( test -d "${INS2DIR}" ) ) ; then		# include directory 2
	if ( test -e "${INS2DIR}" ) ; then
		echo -e "${INS2DIR}: not a directory" ; exit -1 ;
	fi
	mkdir -p "${INS2DIR}" ; chmod 755 "${INS2DIR}" ;
fi

if ( ! ( test -d "${INS3DIR}" ) ) ; then		# bin directory
	if ( test -e "${INS3DIR}" ) ; then
		echo -e "${INS3DIR}: not a directory" ; exit -1 ;
	fi
	mkdir -p "${INS3DIR}" ; chmod 755 "${INS3DIR}" ;
fi

for i in	"Configure.effect.orc"		\
		"Parameters.effect.sco"		; do

		SRC="./${i}" ; DST="${INSTDIR}/${i}"
		rm -f "${DST}"				# remove old file
		cp -af "${SRC}" "${DST}"		# install new version
		chown 0:0 "${DST}" 2> /dev/null		# set permissions
		chmod 444 "${DST}"
		if ( ! ( diff "${SRC}" "${DST}" > /dev/null 2>&1 ) ) ; then
			echo -e "Error copying ${i}" ; exit -1 ;
		fi ;
done

for i in	"EffectProc-1.2.orc"		\
		"Extract.orc"			; do

		SRC="./${i}" ; DST="${INS2DIR}/${i}"
		rm -f "${DST}"				# remove old file
		cp -af "${SRC}" "${DST}"		# install new version
		chown 0:0 "${DST}" 2> /dev/null		# set permissions
		chmod 444 "${DST}"
		if ( ! ( diff "${SRC}" "${DST}" > /dev/null 2>&1 ) ) ; then
			echo -e "Error copying ${i}" ; exit -1 ;
		fi ;
done

for i in	"EffectProc.sh"			; do

		SRC="./${i}" ; DST="${INS3DIR}/${i}"
		rm -f "${DST}"				# remove old file
		cp -af "${SRC}" "${DST}"		# install new version
		chown 0:0 "${DST}" 2> /dev/null		# set permissions
		chmod 555 "${DST}"
		if ( ! ( diff "${SRC}" "${DST}" > /dev/null 2>&1 ) ) ; then
			echo -e "Error copying ${i}" ; exit -1 ;
		fi ;
done

